import React from 'react';
import ReactDom from 'react-dom';
import ajax from 'jquery/src/ajax/xhr.js';
import $ from 'jquery/src/ajax';
import '../content.less';
import { citySelect,provinceList,areaSelect,provinceSelect,addressList} from '../../../NewDicProvinceList';
import { Form,Radio, Icon, Button, Input, Select, Spin, Table, Switch, message, DatePicker, Modal, Upload,Popconfirm,AutoComplete,Tabs,Checkbox,Tree,Cascader} from 'antd';
import {patternOrganization,conditionOrganization,intentionalService,messageType,designatedObjectes,socialAttributeS,industry,socialAttribute,industryS,designatedObjectse,auditStatusL,featuredContent} from '../../../dataDic.js';
import {getPattern,getProvince,getprovince,getFeatured,getDesignated,getGameState,getCategoryState,getCondition,getcustomerTyp,getSocialAttribute,getCertification,getAuditStatus, getContactType, getfllowSituation,getWhether,getLvl,getCurrentMember,getStatuslist,getboutique,getAchievementCategory,gethot,getDemandType} from '../../../tools.js';
const TabPane = Tabs.TabPane;
const TreeNodet = Tree.TreeNode;
const CheckboxGroup = Checkbox.Group;
const JitaoMessage=Form.create()(React.createClass({
	loadData(pageNo,sendType) {
        this.state.data = [];
        this.setState({
            loading: true
        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/api/admin/message/listSystemMessage',
            data: {
                pageNo: pageNo || 1,
                pageSize: this.state.pagination.pageSize,
                isDraft:sendType,//是否发送
                subject:'2',//列表消息类型
            },
            success: function (data) {
                let theArr = [];
                if (!data.data || !data.data.list) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.list.length; i++) {
                        let thisdata = data.data.list[i];
                        theArr.push({
                            key: thisdata.id,
                            id: thisdata.messageId,//每一条消息的ID
                            createTime:thisdata.createTime,//创建时间
                            title:thisdata.title,//消息标题
                            body:thisdata.body,//消息内容
                            resourceType:thisdata.resourceType,//推送类型
                            consumerType:thisdata.consumerType,//发送目标类型
                        });
                    };
                    this.state.pagination.current = data.data.pageNo;
                    this.state.pagination.total = data.data.totalCount;
                };
                this.setState({
                    dataSource: theArr,
                    pagination: this.state.pagination
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
    zhengceLoadData(pageNo) {
        this.state.data = [];
        this.setState({
            loading: true
        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/portal/news/list',
            data: {
                pageNo: pageNo || 1,
                pageSize: this.state.pagination.pageSize,
                keyword:this.state.name,
            },
            success: function (data) {
                let theArr = [];
                if (!data.data || !data.data.list) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.list.length; i++) {
                        let thisdata = data.data.list[i];
                        theArr.push({
                            key: thisdata.id,
                            id: thisdata.id,//每一条记录的ID
                            time:thisdata.createTimeFormattedDate,//政策时间
                            title:(thisdata.title)?thisdata.title.substring(0,14):'',//政策名称
                            summary:(thisdata.summary)?thisdata.summary.substring(0,28):'',//政策内容
                        });
                    };
                    this.state.pagination8.current = data.data.pageNo;
                    this.state.pagination8.total = data.data.totalCount;
                };
                this.setState({
                    zhengceDataSource: theArr,
                    pagination8: this.state.pagination8
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
    zhuanjiaLoadData(pageNo) {
		this.setState({
			loading: true
		});
		$.ajax({
			method: "post",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + '/api/admin/customer/listAllPersonalCustomer',
			data: {
				pageNo: pageNo || 1,
				pageSize: this.state.pagination.pageSize,
				type: this.state.typeSearch, //名称1   
				name: this.state.nameSearch,
				status: this.state.statusSearch,
				industry: this.state.industrySearch,
				businessAudit: this.state.serviceCertificationSearch,
				auditStatus: this.state.userCertificationSearch,
				currentMemberStatus: this.state.currentMemberStatusSearch,
				lvl: this.state.lvlSearch,
				listed: this.state.listedSearch, //是否上市
				highTechZone: this.state.highTechZoneSearch, //是否高新
				isMember: this.state.isMemberSearch,
				international: this.state.internationalSearch,
				celebrity: this.state.celebritySearch,
				expert: 1,
				industry: this.state.industrySearch
			},
			success: function(data) {
				let theArr = [];
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					for(let i = 0; i < data.data.list.length; i++) {
						let thisdata = data.data.list[i];
						theArr.push({
							key: thisdata.uid,
							id: thisdata.uid,
							type: thisdata.type,
							name: thisdata.name,
							status: thisdata.status,
							contacts: thisdata.contacts,
							contactMobile: thisdata.contactMobile,
							industry: thisdata.industry,
							createTime: thisdata.createTime,
							businessAudit: thisdata.businessAudit,
							auditStatus: thisdata.auditStatus,
							lvl: thisdata.lvl,
							isMember: thisdata.isMember,
							societyTag: thisdata.societyTag,
							currentMemberStatus: thisdata.currentMemberStatus,
							international: thisdata.international,
							listed: thisdata.listed,
							international: thisdata.international,
							expert: thisdata.expert,
							celebrity: thisdata.celebrity,
							highTechZone: thisdata.highTechZone,
							locationProvince: thisdata.province ? thisdata.province + '-' + thisdata.city || '' + '-' + thisdata.area : '--'

						});
					};
					this.state.pagination7.current = data.data.pageNo;
					this.state.pagination7.total = data.data.totalCount;
				};

				this.setState({
					zhuanjiaDataSource: theArr,
					pagination7: this.state.pagination7
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
    xuqiuLoadData1(pageNo, apiUrl) {
        this.state.data = [];
        this.setState({
            loading: true
        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context +'/api/admin/demand/orgList',
            data: {
                pageNo: pageNo || 1,
                pageSize: this.state.pagination.pageSize,
                serialNumber: this.state.serialNumber,
                name: this.state.name,
                keyword: this.state.keyword,
                infoSources: this.state.infoSources ? Number(this.state.infoSources) : undefined,
                demandType: this.state.demandType ? Number(this.state.demandType) : undefined,
            	status: this.state.status ? Number(this.state.status) : undefined,
                releaseStatus: this.state.releaseStatus ? Number(this.state.releaseStatus) : undefined,
                auditStatus: 3,
                boutique:this.state.boutique,
                hot:this.state.hot,
                employerName: this.state.searchType == 1 ? this.state.searchName : undefined,
                username: this.state.searchType == 0 && this.props['data-listApiUrl'].indexOf('org') == -1 ? this.state.searchName : undefined,
                unitName: this.state.searchType == 0 && this.props['data-listApiUrl'].indexOf('user') == -1 ? this.state.searchName : undefined,
            },
            success: function (data) {
                let theArr = [];
                if (!data.data || !data.data.list) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.list.length; i++) {
                        let thisdata = data.data.list[i];
                        theArr.push({
                            key: thisdata.id,
                            id: thisdata.id,
                            serialNumber: thisdata.serialNumber,
                            dataCategory: thisdata.dataCategory,
                            name: thisdata.name,
                            keyword: thisdata.keyword,
                            infoSources: thisdata.infoSources,
                            username: thisdata.username,
                            theName: thisdata.username || thisdata.employerName,
                            demandType: thisdata.demandType,
                            validityPeriod: thisdata.validityPeriod,
                            employerName: thisdata.employerName,
                            employerId: thisdata.employerId,
                            province: thisdata.province,
                            status: thisdata.status,
                            releaseStatus: thisdata.releaseStatus,
                            releaseDate: thisdata.releaseDate,
                            principalId: thisdata.principalId,
                            validityPeriodFormattedDate: thisdata.validityPeriodFormattedDate,
                            releaseDateFormattedDate: thisdata.releaseDateFormattedDate,
                            auditStatus: thisdata.auditStatus,
                            boutique: thisdata.boutique,
                            hot: thisdata.hot
                        });
                    };
                    this.state.pagination6.current = data.data.pageNo;
                    this.state.pagination6.total = data.data.totalCount;
                };
                this.setState({
                    xuqiuDataSource1: theArr,
                    pagination6: this.state.pagination6
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
    xuqiuLoadData2(pageNo, apiUrl) {
        this.state.data = [];
        this.setState({
            loading: true
        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/api/admin/demand/userList',
            data: {
                pageNo: pageNo || 1,
                pageSize: this.state.pagination.pageSize,
                serialNumber: this.state.serialNumber,
                name: this.state.name,
                keyword: this.state.keyword,
                infoSources: this.state.infoSources ? Number(this.state.infoSources) : undefined,
                demandType: this.state.demandType ? Number(this.state.demandType) : undefined,
                status: this.state.status ? Number(this.state.status) : undefined,
                releaseStatus: this.state.releaseStatus ? Number(this.state.releaseStatus) : undefined,
                auditStatus:3,
                boutique:this.state.boutique,
                hot:this.state.hot,
                employerName: this.state.searchType == 1 ? this.state.searchName : undefined,
                username: this.state.searchType == 0 && this.props['data-listApiUrl'].indexOf('org') == -1 ? this.state.searchName : undefined,
                unitName: this.state.searchType == 0 && this.props['data-listApiUrl'].indexOf('user') == -1 ? this.state.searchName : undefined,
            },
            success: function (data) {
                let theArr = [];
                if (!data.data || !data.data.list) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.list.length; i++) {
                        let thisdata = data.data.list[i];
                        theArr.push({
                            key: thisdata.id,
                            id: thisdata.id,
                            serialNumber: thisdata.serialNumber,
                            dataCategory: thisdata.dataCategory,
                            name: thisdata.name,
                            keyword: thisdata.keyword,
                            infoSources: thisdata.infoSources,
                            username: thisdata.username,
                            theName: thisdata.username || thisdata.employerName,
                            demandType: thisdata.demandType,
                            validityPeriod: thisdata.validityPeriod,
                            employerName: thisdata.employerName,
                            employerId: thisdata.employerId,
                            province: thisdata.province,
                            status: thisdata.status,
                            releaseStatus: thisdata.releaseStatus,
                            releaseDate: thisdata.releaseDate,
                            principalId: thisdata.principalId,
                            validityPeriodFormattedDate: thisdata.validityPeriodFormattedDate,
                            releaseDateFormattedDate: thisdata.releaseDateFormattedDate,
                            auditStatus: thisdata.auditStatus,
                            boutique: thisdata.boutique,
                            hot: thisdata.hot
                        });
                    };
                    this.state.pagination5.current = data.data.pageNo;
                    this.state.pagination5.total = data.data.totalCount;
                };
                this.setState({
                    xuqiuDataSource2: theArr,
                    pagination5: this.state.pagination5
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
    chengguoLoadData1(pageNo, apiUrl) {
        this.state.data = [];
        this.setState({
            loading: true
        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context +'/api/admin/achievement/orgList',
            data: {
                pageNo: pageNo || 1,
                pageSize: this.state.pagination.pageSize,
                serialNumber: this.state.serialNumber, //编号
                name: this.state.name, //名称
                ownerName: this.state.searchType == 1 ? this.state.searchName : undefined,
                username: this.state.searchType == 0 && this.props['data-listApiUrl'].indexOf('org') == -1 ? this.state.searchName : undefined,
                unitName: this.state.searchType == 0 && this.props['data-listApiUrl'].indexOf('user') == -1 ? this.state.searchName : undefined,
                keyword: this.state.keyword, // 关键词
                category: this.state.category, //类型(0--专利, 2--软著, 3--项目, 4--版权, 5--工业设计, 6--配方, 7--非标)
                //releaseDateStartDate: this.state.releaseDate[0],
                //releaseDateEndDate: this.state.releaseDate[1],
                releaseStatus: this.state.releaseStatus ? Number(this.state.releaseStatus) : undefined, //是否发布(0--未发布,1--已发布)
                auditStatus: 3,
                boutique:this.state.boutique,
                hot:this.state.hot
            },
            success: function (data) {
                let theArr = [];
                if (!data.data || !data.data.list) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.list.length; i++) {
                        let thisdata = data.data.list[i];
                        theArr.push({
                            key: thisdata.id,
                            id: thisdata.id,
                            serialNumber: thisdata.serialNumber,
                            dataCategory: thisdata.dataCategory,
                            name: thisdata.name,
                            keyword: thisdata.keyword,
                            theName: thisdata.username || thisdata.ownerName,
                            category: thisdata.category,
                            ownerName: thisdata.username ? thisdata.username : thisdata.ownerName,
                            ownerType: thisdata.ownerType,
                            ownerMobile: thisdata.ownerMobile,
                            status: thisdata.status,
                            releaseDate: thisdata.releaseDate,
                            releaseDateFormattedDate: thisdata.releaseDateFormattedDate,
                            auditStatus: thisdata.auditStatus,
                            boutique: thisdata.boutique,
                            hot: thisdata.hot
                        });
                    };
                    this.state.pagination4.current = data.data.pageNo;
                    this.state.pagination4.total = data.data.totalCount;
                };
                this.setState({
                    chengguoDataSource1: theArr,
                    pagination4: this.state.pagination4
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
    chengguoLoadData2(pageNo, apiUrl) {
        this.state.data = [];
        this.setState({
            loading: true
        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context +'/api/admin/achievement/userList',
            data: {
                pageNo: pageNo || 1,
                pageSize: this.state.pagination.pageSize,
                serialNumber: this.state.serialNumber, //编号
                name: this.state.name, //名称
                ownerName: this.state.searchType == 1 ? this.state.searchName : undefined,
                username: this.state.searchType == 0 && this.props['data-listApiUrl'].indexOf('org') == -1 ? this.state.searchName : undefined,
                unitName: this.state.searchType == 0 && this.props['data-listApiUrl'].indexOf('user') == -1 ? this.state.searchName : undefined,
                keyword: this.state.keyword, // 关键词
                category: this.state.category, //类型(0--专利, 2--软著, 3--项目, 4--版权, 5--工业设计, 6--配方, 7--非标)
                //releaseDateStartDate: this.state.releaseDate[0],
                //releaseDateEndDate: this.state.releaseDate[1],
                releaseStatus: this.state.releaseStatus ? Number(this.state.releaseStatus) : undefined, //是否发布(0--未发布,1--已发布)
                auditStatus: 3,
                boutique:this.state.boutique,
                hot:this.state.hot
            },
            success: function (data) {
                let theArr = [];
                if (!data.data || !data.data.list) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.list.length; i++) {
                        let thisdata = data.data.list[i];
                        theArr.push({
                            key: thisdata.id,
                            id: thisdata.id,
                            serialNumber: thisdata.serialNumber,
                            dataCategory: thisdata.dataCategory,
                            name: thisdata.name,
                            keyword: thisdata.keyword,
                            theName: thisdata.username || thisdata.ownerName,
                            category: thisdata.category,
                            ownerName: thisdata.username ? thisdata.username : thisdata.ownerName,
                            ownerType: thisdata.ownerType,
                            ownerMobile: thisdata.ownerMobile,
                            status: thisdata.status,
                            releaseDate: thisdata.releaseDate,
                            releaseDateFormattedDate: thisdata.releaseDateFormattedDate,
                            auditStatus: thisdata.auditStatus,
                            boutique: thisdata.boutique,
                            hot: thisdata.hot
                        });
                    };
                    this.state.pagination3.current = data.data.pageNo;
                    this.state.pagination3.total = data.data.totalCount;
                };
                this.setState({
                    chengguoDataSource2: theArr,
                    pagination3: this.state.pagination3
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
    xiangmuLoadData(pageNo, apiUrl) {
        this.state.data = [];
        this.setState({
            loading: true,
            ispage:pageNo,
        });
        
        let isCountry='';
        let pro='';
        let city='';
        let dis='';
       	if(this.state.ressSearch==undefined){
       	}else{
       		switch(parseInt(this.state.ressSearch.length)){
       		case 1:pro=this.state.ressSearch[0];break;
       		case 2:pro=this.state.ressSearch[0];city=this.state.ressSearch[1];break;
       		case 3:pro=this.state.ressSearch[0];city=this.state.ressSearch[1];dis=this.state.ressSearch[2];break;
       		}
       	}
        if(pro===0){
       		isCountry=1;
       		pro='';
       	}
        $.ajax({
            method: "post",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/api/admin/ProjectSize/listProject',
            data: {
                pageNo: pageNo || 1,
                pageSize: this.state.pagination.pageSize,
                bname:this.state.bname, //项目名称
                country:isCountry, //是否全国
                province:pro, //省
                city:city, //市
                district:dis, //区
                activityFlag:this.state.activityFlag, //活动生效标识
                status:this.state.status, //项目状态
            },
            success: function (data) {
                let theArr = [];
                if (!data.data || !data.data.list) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.list.length; i++) {
                    	let thisdata = data.data.list[i];
                    	let ProvinceCity=[];
                    	let isCountry='';
                    	if(thisdata.country==1){
                    		isCountry="全国";
                    	}else{
                    		if(thisdata.city==null||thisdata.city==''){
                    			isCountry+=getprovince(parseInt(thisdata.province));
                    		}else if(thisdata.district==null||thisdata.district==''){
                    			isCountry+=getprovince(parseInt(thisdata.province))+'-';
		                		isCountry+=getprovince(parseInt(thisdata.city));
                    		}else{
                    			isCountry+=getprovince(parseInt(thisdata.province))+'-';
			                	isCountry+=getprovince(parseInt(thisdata.city))+'-';
			                	isCountry+=getprovince(parseInt(thisdata.district));
                    		}
                    	}
                        theArr.push({
                            key:thisdata.id,
                            id:thisdata.id,//业务名称
                            bname: thisdata.bname,//业务名称
                            cname: thisdata.cname,//业务品类
                            area:isCountry?isCountry:ProvinceCity,
                            price: thisdata.price,//市场价
                            offset:thisdata.offset,//最低折扣
                            memberPrice:thisdata.memberPrice,//会员价
                            activityPrice:thisdata.activityPrice,//活动价
                            activityFlag:thisdata.activityFlag,//活动生效标识
                            status: thisdata.status,//项目状态
                            arrProvinceCity:ProvinceCity,
                        });
                    };
             
                    this.state.pagination2.current = data.data.pageNo;
                    this.state.pagination2.total = data.data.totalCount;
                };
                this.setState({
                    xiangmuDataSource: theArr,
                    pagination2: this.state.pagination2
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
    sanhuLoadData(pageNo, apiUrl) {
		this.setState({
			loading: true
		});
		$.ajax({
			method: "post",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + '/api/admin/customer/listAllPersonalCustomer',
			data: {
				pageNo: pageNo || 1,
				pageSize: this.state.pagination.pageSize,
				type: this.state.typeSearch, //名称1   
				name: this.state.nameSearch,
				//province: !(this.state.addressSearch).length ? this.state.provinceSearch : this.state.addressSearch[0],
				//city: !(this.state.addressSearch).length ? '' : this.state.addressSearch[1],
				status: this.state.statusSearch,
				industry: this.state.industrySearch,
				businessAudit: this.state.serviceCertificationSearch,
				auditStatus: this.state.userCertificationSearch,
				international: this.state.internationalSearch,
				currentMemberStatus: this.state.currentMemberStatusSearch,
				lvl: this.state.lvlSearch,
				isMember: this.state.isMemberSearch,
				societyTag: this.state.societyTagSearch,
				listed: this.state.listedSearch, //是否上市
				highTechZone: this.state.highTechZoneSearch, //是否高新
			},
			success: function(data) {
				let theArr = [];
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					for(let i = 0; i < data.data.list.length; i++) {
						let thisdata = data.data.list[i];
						theArr.push({
							key: thisdata.uid,
							id: thisdata.uid,
							type: thisdata.type,
							name: thisdata.name,
							status: thisdata.status,
							contacts: thisdata.contacts,
							contactMobile: thisdata.contactMobile,
							industry: thisdata.industry,
							createTime: thisdata.createTime,
							businessAudit: thisdata.businessAudit,
							auditStatus: thisdata.auditStatus,
							lvl: thisdata.lvl,
							isMember: thisdata.isMember,
							status: thisdata.status,
							societyTag: thisdata.societyTag,
							currentMemberStatus: thisdata.currentMemberStatus,
							international: thisdata.international,
							listed: thisdata.listed,
							highTechZone: thisdata.highTechZone,
							locationProvince: thisdata.province ? thisdata.province + '-' + thisdata.city || '' + '-' + thisdata.area : '--'
						});
					};

				};
				this.state.pagination1.current = data.data.pageNo ? data.data.pageNo : '0';
				this.state.pagination1.total = data.data.totalCount ? data.data.totalCount : '0';
				this.setState({
					sanhuDataSource: theArr,
					pagination1: this.state.pagination1
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	sanhuLoadData21(pageNo, apiUrl) {
		this.setState({
			loading: true
		});
		$.ajax({
			method: "post",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + '/api/admin/customer/listAllOrganizationCustomer',
			data: {
				pageNo: pageNo || 1,
				pageSize: this.state.pagination.pageSize,
				type: this.state.typeSearch, //名称1   
				name: this.state.nameSearch,
				//province: !(this.state.addressSearch).length ? this.state.provinceSearch : this.state.addressSearch[0],
				//city: !(this.state.addressSearch).length ? '' : this.state.addressSearch[1],
				status: this.state.statusSearch,
				industry: this.state.industrySearch,
				businessAudit: this.state.serviceCertificationSearch,
				auditStatus: this.state.userCertificationSearch,
				international: this.state.internationalSearch,
				currentMemberStatus: this.state.currentMemberStatusSearch,
				lvl: this.state.lvlSearch,
				isMember: this.state.isMemberSearch,
				societyTag: this.state.societyTagSearch,
				listed: this.state.listedSearch, //是否上市
				highTechZone: this.state.highTechZoneSearch, //是否高新
			},
			success: function(data) {
				let theArr = [];
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					for(let i = 0; i < data.data.list.length; i++) {
						let thisdata = data.data.list[i];
						theArr.push({
							key: thisdata.uid,
							id: thisdata.uid,
							type: thisdata.type,
							name: thisdata.name,
							status: thisdata.status,
							contacts: thisdata.contacts,
							contactMobile: thisdata.contactMobile,
							industry: thisdata.industry,
							createTime: thisdata.createTime,
							businessAudit: thisdata.businessAudit,
							auditStatus: thisdata.auditStatus,
							lvl: thisdata.lvl,
							isMember: thisdata.isMember,
							status: thisdata.status,
							societyTag: thisdata.societyTag,
							currentMemberStatus: thisdata.currentMemberStatus,
							international: thisdata.international,
							listed: thisdata.listed,
							highTechZone: thisdata.highTechZone,
							locationProvince: thisdata.province ? thisdata.province + '-' + thisdata.city || '' + '-' + thisdata.area : '--'
						});
					};

				};
				this.state.pagination21.current = data.data.pageNo ? data.data.pageNo : '0';
				this.state.pagination21.total = data.data.totalCount ? data.data.totalCount : '0';
				this.setState({
					sanhuDataSource21: theArr,
					pagination21: this.state.pagination21
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
    getInitialState() {
        return {
        	visible: false,
            data: [],
            callnub:'0',
            sendType:'0',
            showAdd: false,
            showDesc: false,
            expandedKeys: [],
            autoExpandParent: true,
            selectedKeys: [],
            searchMore: true,
            selectedRowKeys: [],
            selectedRows: [],
            loading: false,
            pagination: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.loadData(page,this.state.sendType);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            pagination1: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.sanhuLoadData(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            pagination21: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.sanhuLoadData21(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            pagination2: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.xiangmuLoadData(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            pagination3: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.chengguoLoadData2(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            pagination4: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.chengguoLoadData1(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            pagination5: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.xuqiuLoadData2(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            pagination6: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.xuqiuLoadData1(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            pagination7: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.zhuanjiaLoadData(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            pagination8: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.zhengceLoadData(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            columns: [
                {
                    title: '消息时间',
                    dataIndex: 'createTime',
                    key: 'createTime',
                    width:'150px',
                }, {
                    title: '消息标题',
                    dataIndex: 'title',
                    key: 'title',
                    width:'200px',
                },{
                    title: '消息内容',
                    dataIndex: 'body',
                    key: 'body',
                },{
                    title: '推送类型',
                    dataIndex: 'resourceType',
                    key: 'resourceType',
                    width:'100px',
                    render: text => { return getFeatured(text) }
                },{
                    title: '发送目标',
                    dataIndex: 'consumerType',
                    key: 'consumerType',
                    width:'100px',
                    render: text => { return getDesignated(text) }
                }
            ],
            dataSource: [],
            sanhuColumns1: [
                {
                    title: '编号',
                    dataIndex: 'number',
                    key: 'number'
                }, {
                    title: '登录账号',
                    dataIndex: 'mobile',
                    key: 'mobile'
                }, {
                    title: '名字',
                    dataIndex: 'name',
                    key: 'name'
                }, {
                    title: '职位',
                    dataIndex: 'position',
                    key: 'position'
                },{
                    title: '部门',
                    dataIndex: 'departmentName',
                    key: 'departmentName'
                }, {
                    title: '上级管理员',
                    dataIndex: 'superior',
                    key: 'superior'
                }, {
                    title: '邮箱',
                    dataIndex: 'email',
                    key: 'email'
                }, {
                    title: '创建时间',
                    dataIndex: 'createTimeFormattedDate',
                    key: 'createTimeFormattedDate'
                }
            ],
            sanhuDataSource1: [],
            sanhuColumns: [{
					title: '客户名称',
					dataIndex: 'name',
					key: 'name',
				}, {
					title: '客户类型',
					dataIndex: 'type',
					key: 'type',
					render: text => { return getcustomerTyp(text) }

				}, {
					title: '地区',
					dataIndex: 'locationProvince',
					key: 'locationProvince',
				}, {
					title: '联系人',
					dataIndex: 'contacts',
					key: 'contacts',
				},
				{
					title: '联系电话',
					dataIndex: 'contactMobile',
					key: 'contactMobile',
				},
				{
					title: '行业',
					dataIndex: 'industry',
					key: 'industry',
				},
				{
					title: '社会性质',
					dataIndex: 'societyTag',
					key: 'societyTag',
					render: text => { return getSocialAttribute(text) }
				},
				{
					title: '创建时间',
					dataIndex: 'createTime',
					key: 'createTime',
				},
				{
					title: '业务认证',
					dataIndex: 'businessAudit',
					key: 'businessAudit',
					render: text => { return getCertification(text) }
				},
				{
					title: '实名认证',
					dataIndex: 'auditStatus',
					key: 'auditStatus',
					render: text => { return getAuditStatus(text) }
				},
				{
					title: '是否高新',
					dataIndex: 'highTechZone',
					key: 'highTechZone',
					render: text => { return getWhether(text) }

				}, {
					title: '是否上市',
					dataIndex: 'listed',
					key: 'listed',
					render: text => { return getWhether(text) }
				},
				{
					title: '是否国际',
					dataIndex: 'international',
					key: 'international',
					render: text => { return getWhether(text) }
				},
				{
					title: '会员等级',
					dataIndex: 'lvl',
					key: 'lvl',
					render: text => { return getLvl(text) }
				},
				{
					title: '会员状态',
					dataIndex: 'currentMemberStatus',
					key: 'currentMemberStatus',
					render: text => { return getCurrentMember(text) }
				},
				{
					title: '账户状态',
					dataIndex: 'status',
					key: 'status',
					render: text => { return getStatuslist(text) }
				}			
			],
			sanhuDataSource: [],
			sanhuColumns21: [{
					title: '客户名称',
					dataIndex: 'name',
					key: 'name',
				}, {
					title: '客户类型',
					dataIndex: 'type',
					key: 'type',
					render: text => { return getcustomerTyp(text) }

				}, {
					title: '地区',
					dataIndex: 'locationProvince',
					key: 'locationProvince',
				}, {
					title: '联系人',
					dataIndex: 'contacts',
					key: 'contacts',
				},
				{
					title: '联系电话',
					dataIndex: 'contactMobile',
					key: 'contactMobile',
				},
				{
					title: '行业',
					dataIndex: 'industry',
					key: 'industry',
				},
				{
					title: '社会性质',
					dataIndex: 'societyTag',
					key: 'societyTag',
					render: text => { return getSocialAttribute(text) }
				},
				{
					title: '创建时间',
					dataIndex: 'createTime',
					key: 'createTime',
				},
				{
					title: '业务认证',
					dataIndex: 'businessAudit',
					key: 'businessAudit',
					render: text => { return getCertification(text) }
				},
				{
					title: '实名认证',
					dataIndex: 'auditStatus',
					key: 'auditStatus',
					render: text => { return getAuditStatus(text) }
				},
				{
					title: '是否高新',
					dataIndex: 'highTechZone',
					key: 'highTechZone',
					render: text => { return getWhether(text) }

				}, {
					title: '是否上市',
					dataIndex: 'listed',
					key: 'listed',
					render: text => { return getWhether(text) }
				},
				{
					title: '是否国际',
					dataIndex: 'international',
					key: 'international',
					render: text => { return getWhether(text) }
				},
				{
					title: '会员等级',
					dataIndex: 'lvl',
					key: 'lvl',
					render: text => { return getLvl(text) }
				},
				{
					title: '会员状态',
					dataIndex: 'currentMemberStatus',
					key: 'currentMemberStatus',
					render: text => { return getCurrentMember(text) }
				},
				{
					title: '账户状态',
					dataIndex: 'status',
					key: 'status',
					render: text => { return getStatuslist(text) }
				}			
			],
			sanhuDataSource21: [],
            fengongsiColumns: [
                {
                    title: '组织编号',
                    dataIndex: 'depNo',
                    key: 'depNo',
                }, {
                    title: '组织名称',
                    dataIndex: 'name',
                    key: 'name',
                }, {
                    title: '负责人',
                    dataIndex: 'managerId',
                    key: 'managerId',
                },{
                    title: '组织类型',
                    dataIndex: 'type',
                    key: 'type',
                    render: text => { return getPattern(text) }
                },  {
                    title: '上级组织',
                    dataIndex: 'superId',
                    key: 'superId',
                },{
                    title: '组织状态',
                    dataIndex: 'status',
                    key: 'status',
                    render: text => { return getCondition(text) }
                  
                }
            ],
            fengongsiDataSource: [],
            xiangmuColumns: [
                {
                    title: '项目名称',
                    dataIndex: 'bname',
                    key: 'bname',
                },  {
                    title: '业务地区',
                    dataIndex: 'area',
                    key: 'area',
                }, {
                    title: '市场价',
                    dataIndex: 'price',
                    key: 'price',
                }, {
                    title: '最低折扣',
                    dataIndex: 'offset',
                    key: 'offset',
                }, {
                    title: '会员价',
                    dataIndex: 'memberPrice',
                    key: 'memberPrice',
                }, {
                    title: '活动价',
                    dataIndex: 'activityPrice',
                    key: 'activityPrice',
                }, {
                    title: '活动生效标识',
                    dataIndex: 'activityFlag',
                    key: 'activityFlag',
                    render: text => { return getGameState(text) }
                },{
                    title: '业务状态',
                    dataIndex: 'status',
                    key: 'status',
                    render: text => { return getCategoryState(text) }
                }
            ],
            xiangmuDataSource: [],
            chengguoColumns1: [
                {
                    title: '名称',
                    dataIndex: 'name',
                    key: 'name',
                }, {
                    title: '关键字',
                    dataIndex: 'keyword',
                    key: 'keyword',
                }, {
                    title: '类型',
                    dataIndex: 'category',
                    key: 'category',
                    render: text => { return getAchievementCategory(text); }
                }, {
                    title: '所有人名称',
                    dataIndex: 'theName',
                    key: 'theName',
                }, 
                {
                    title: '是否精品',
                    dataIndex: 'boutique',
                    key: 'boutique',
                    render: text => { return getboutique(text) }
                },
                {
                    title: '发布时间',
                    dataIndex: 'releaseDateFormattedDate',
                    key: 'releaseDateFormattedDate',
                }
            ],
            chengguoDataSource1: [],
            chengguoColumns2: [
                {
                    title: '名称',
                    dataIndex: 'name',
                    key: 'name',
                }, {
                    title: '关键字',
                    dataIndex: 'keyword',
                    key: 'keyword',
                }, {
                    title: '类型',
                    dataIndex: 'category',
                    key: 'category',
                    render: text => { return getAchievementCategory(text); }
                }, {
                    title: '所有人名称',
                    dataIndex: 'theName',
                    key: 'theName',
                }, 
                {
                    title: '是否精品',
                    dataIndex: 'boutique',
                    key: 'boutique',
                    render: text => { return getboutique(text) }
                },
                {
                    title: '发布时间',
                    dataIndex: 'releaseDateFormattedDate',
                    key: 'releaseDateFormattedDate',
                }
            ],
            chengguoDataSource2: [],
            xuqiuColumns1: [
                 {
                    title: '需求名称',
                    dataIndex: 'name',
                    key: 'name',
                },
                {
                    title: '关键字',
                    dataIndex: 'keyword',
                    key: 'keyword',
                }, {
                    title: '需求类型',
                    dataIndex: 'demandType',
                    key: 'demandType',
                    render: text => { return getDemandType(text); }
                }, {
                    title: '雇主名称',
                    dataIndex: 'theName',
                    key: 'theName',
                }, 
              	{
                    title: '是否精品',
                    dataIndex: 'boutique',
                    key: 'boutique',
                    render: text => { return getboutique(text) }
                }, {
                    title: '发布时间',
                    dataIndex: 'releaseDateFormattedDate',
                    key: 'releaseDateFormattedDate',
                }
            ],
            xuqiuDataSource1: [],
            xuqiuColumns2: [
                 {
                    title: '需求名称',
                    dataIndex: 'name',
                    key: 'name',
                },
                {
                    title: '关键字',
                    dataIndex: 'keyword',
                    key: 'keyword',
                }, {
                    title: '需求类型',
                    dataIndex: 'demandType',
                    key: 'demandType',
                    render: text => { return getDemandType(text); }
                }, {
                    title: '雇主名称',
                    dataIndex: 'theName',
                    key: 'theName',
                }, 
              	{
                    title: '是否精品',
                    dataIndex: 'boutique',
                    key: 'boutique',
                    render: text => { return getboutique(text) }
                }, {
                    title: '发布时间',
                    dataIndex: 'releaseDateFormattedDate',
                    key: 'releaseDateFormattedDate',
                }
            ],
            xuqiuDataSource2: [],
            zhuanjiaColumns: [{
					title: '客户姓名',
					dataIndex: 'name',
					key: 'name',
				},
				{
					title: '联系电话',
					dataIndex: 'contactMobile',
					key: 'contactMobile',
				},
				{
					title: '行业',
					dataIndex: 'industry',
					key: 'industry',
				},
				{
					title: '社会性质',
					dataIndex: 'societyTag',
					key: 'societyTag',
					render: text => { return getSocialAttribute(text) }
				},
				{
					title: '创建时间',
					dataIndex: 'createTime',
					key: 'createTime',
				},
				{
					title: '实名认证',
					dataIndex: 'auditStatus',
					key: 'auditStatus',
					render: text => { return getAuditStatus(text) }
				},
				{
					title: '是否国际',
					dataIndex: 'international',
					key: 'international',
					render: text => { return getWhether(text) }
				},
				{
					title: '会员等级',
					dataIndex: 'lvl',
					key: 'lvl',
					render: text => { return getLvl(text) }
				}
			],
			zhuanjiaDataSource: [],
			zhengceColumns: [{
					title: '政策标题',
					dataIndex: 'title',
					key: 'title',
				},
				{
					title: '政策内容',
					dataIndex: 'summary',
					key: 'summary',
					width:'400',
					
				},
				{
					title: '时间',
					dataIndex: 'time',
					key: 'time',
					width:'100px'
				}
			],
			zhengceDataSource: [],
        };
    },
    componentWillMount() {
    	this.loadData(1,0);
    },
    //获取上级组织
    selectSuperId() {  
    	this.state.data = []
         $.ajax({
                method: "post",
                dataType: "json",
                crossDomain: false,
                url: globalConfig.context + "/api/admin/organization/selectSuperId",
                data:{
                  
                },
                success: function (data) {                	  
                		let theArr = [];
					    let thedata=data.data;
					    if (!thedata) {
		                    if (data.error && data.error.length) {
		                        message.warning(data.error[0].message);
		                    };	
		                    thedata = {}; 
		              };   
					    var contactIds=[];
				        //for (let item in data.data) {
				        	for(var i=0;i<data.data.length;i++){
		                    let theData = data.data[i];
		                    theArr.push(
		                        <Select.Option value={i.toString()} key={theData.name}>{theData.name}</Select.Option>
		                    );
		                };
						this.setState({	
							SuperArr:thedata,
		                    contactsOption: theArr, 
		                    orderStatusOptions:data.data,
	                    });
	                    
					}.bind(this),
				}).always(function () {
				this.setState({
	                loading: false
	            });
	        }.bind(this));
	},
	
	//整行点击
    bianji(record, index) {
    	
    	this.state.RowData = record; 
        this.setState({
        	editvisible: true,
        	selectedRowKeys:[],
        	rowId:record.businessId,
        })    
        let deletedIds ='';
        for (let idx = 0; idx < this.state.selectedRows.length; idx++) {
            let rowItem = this.state.selectedRows[idx];
            if (rowItem.id) {
                deletedIds=rowItem.id;
            };
        };
        $.ajax({
            method: "post",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context +"/api/admin/organization/selectAllById" ,
            data: {
               id:deletedIds
            },
            success: function (data) {
                let theArr = [];
                let thisdata = data;
                if (!data) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    theArr.push({
                         editId: thisdata.id,//每一条记录的ID
                         editName:thisdata.name,//组织名称
                         editManagerId:thisdata.managerId,//负责人
                         editType:thisdata.type,//组织类型
                         editStatus:thisdata.status,//组织状态 
                         editSuperId:thisdata.superId,//上级组织
                         editDepNo: thisdata.depNo,//组织编号
                         editCreateId:thisdata.createId,//创建人
                         editTime:thisdata.createTime,//创建时间
                         editRemarks:thisdata.remarks,//组织职能说明
                    });
                   
                };
                this.setState({
                	 editId: thisdata.id,//每一条记录的ID
                	 editName:thisdata.name,//组织名称
                     editManagerId:thisdata.managerId,//负责人
                     editType:thisdata.type,//组织类型
                     editStatus:thisdata.status,//组织状态 
                     editSuperId:thisdata.superId,//上级组织
                     editDepNo: thisdata.depNo,//组织编号
                     editCreateId:thisdata.createId,//创建人
                     editTime:thisdata.createTime,//创建时间
                     editRemarks: thisdata.remarks,//组织职能说明
                     editDataSource: theArr,
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
    //整行删除
    delectRow() {
        let deletedIds ='';
        for (let idx = 0; idx < this.state.selectedRows.length; idx++) {
            let rowItem = this.state.selectedRows[idx];
            if (rowItem.id) {
                deletedIds=rowItem.id;
            };
        };
        this.setState({
            selectedRowKeys: [],
            loading: deletedIds.length > 0
        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + "/api/admin/message/deleteSystemMessage",
            data: {
                messageId: deletedIds
            }
        }).done(function (data) {
            if (!data.error.length) {
                message.success('删除成功！');
                this.loadData(1,1);
                this.setState({
                    loading: false,
                });
            } else {
                message.warning(data.error[0].message);
            };
        }.bind(this));
    },
    //新增一条消息，保存
    addhandleSubmit(e,addType){
    	e.preventDefault();	
    	let duixiang=JSON.stringify(this.state.sanhu)||JSON.stringify(this.state.sanhu21)||JSON.stringify(this.state.shehui)||JSON.stringify(this.state.hangye)||JSON.stringify(this.state.fengongsi)||JSON.stringify(this.state.diqu);
        let xiaoxi=JSON.stringify(this.state.xiaoxi);
        if(!xiaoxi){
    		message.warning('请输入消息内容');
    		return false;
    	}
    	if(!duixiang){
    		message.warning('请指定发送对象'); 
    		return false;
    	}
    	let diquText=this.state.diqu;
    	let pro=[];
    	let city=[];
    	let dis=[];
    	if(this.state.diqu){
	    	for(var i=0;i<diquText.length;i++){
	    		if(diquText[i]<=34){
	    			pro.push(diquText[i])
	    		}else if(diquText[i]>34&&diquText[i]<380){
	    			city.push(diquText[i])
	    		}else{
	    			dis.push(diquText[i])
	    		}
    		}
	    }else{
	    	pro=undefined;
	    	city=undefined;
	    	dis=undefined;
	    }
	    let projectIds;
	    let organizationAchievementIds;
	    let personalAchievementIds;
	    let organizationDemandIds;
	    let personalDemandIds;
	    let expertIds;
	    let newsIds;
	    switch(this.state.addContent){
	    	case '0':projectIds=this.state.xiaoxi.join(",");break;
	    	case '12':organizationAchievementIds=this.state.xiaoxi.join(",");break;
	    	case '11':personalAchievementIds=this.state.xiaoxi.join(",");break;
	    	case '22':organizationDemandIds=this.state.xiaoxi.join(",");break;
	    	case '21':personalDemandIds=this.state.xiaoxi.join(",");break;
	    	case '3':expertIds=this.state.xiaoxi.join(",");break;
	    	case '4':newsIds=this.state.xiaoxi.join(",");break;
	    }
		this.props.form.validateFields((err, values) => {                                 
            if (!err) {
                this.setState({
                    loading: true
                }); 
                $.ajax({
                    method: "post",
                    dataType: "json",
                    crossDomain: false,
                    url:globalConfig.context + '/api/admin/message/createRecommendMessage',
                    data:{
                    	subject:'2',//表示是智推的消息
                    	isDraft:addType,//点保存或者存为草稿
                    	projectIds:projectIds,//服务项目
                    	organizationAchievementIds:organizationAchievementIds,//组织成果
                    	personalAchievementIds:personalAchievementIds,//个人成果
                    	organizationDemandIds:organizationDemandIds,//组织需求
                    	personalDemandIds:personalDemandIds,//个人需求
                    	expertIds:expertIds,//专家
                    	newsIds:newsIds,//政策
                    	personalUserIds:this.state.sanhu?this.state.sanhu.join(","):undefined,//散户
                        organizationUserIds:this.state.sanhu21?this.state.sanhu21.join(","):undefined,//散户
                        societyTags:this.state.shehui?this.state.shehui.join(","):undefined,//社会属性
                        provinceIds:pro?pro.join(","):undefined,//省
                        cityIds:city?city.join(","):undefined,//市
                        areaIds:dis?dis.join(","):undefined,//区
                        industryIds:this.state.hangye?this.state.hangye.join(","):undefined,//行业
                        sourceType:this.state.addContent, //推荐资源类型
                        targetType:this.state.addObject, //推送目标类型
                        
                    }
                }).done(function (data) { 
                    this.setState({
                        loading: false
                    });
                    if (!data.error.length) {
                        message.success('保存成功！'); 
                        this.handleCancel();
                        this.loadData(1,0);
                    } else {
                        message.warning(data.error[0].message);
                    }
                }.bind(this));
            }
        });
    },
    add(e){
    	e.preventDefault();	
    	this.addhandleSubmit(e,0);
    },
    adds(e){
    	e.preventDefault();	
    	this.addhandleSubmit(e,1);
    },
   //详情tab切换数据处理
	callback(e) {
		this.setState({
			callnub: e,
		})
		if(e == 0) {
			this.setState({
				bianjiMore: false,
				selectedRowKeys:[],
				sendType:'0',
			})
			this.loadData(1,0);
		}
		if(e == 1) {
			this.setState({
				bianjiMore: true,
				selectedRowKeys:[],
				sendType:'1',
			})
			this.loadData(1,1);
		}
	},
	//切换创建系统消息中的发送内容
	selectContent(e) {
		this.setState({
			addContent:e
		})
		if(e == 0) {
			this.xiangmuLoadData();
			this.setState({ visible6: true })
		}
		if(e == 12) {
			this.chengguoLoadData1();
			this.setState({ visible7: true })
		}
		if(e == 11) {
			this.chengguoLoadData2();
			this.setState({ visible8: true })
		}
		if(e == 22) {
			this.xuqiuLoadData1();
			this.setState({ visible9: true })
		}
		if(e == 21) {
			this.xuqiuLoadData2();
			this.setState({ visible10: true })
		}
		if(e == 3) {
			this.zhuanjiaLoadData();
			this.setState({ visible11: true })
		}
		if(e == 4) {
			this.zhengceLoadData();
			this.setState({ visible12: true })
		}
		
		
	},
	changeContent(e){
		this.xiaoxiReset();
		
	},
	//切换创建系统消息中的指定发送对象
	selectObjects(e) {
		this.setState({
			addObject:e
		})
		if(e == 61) {
			this.sanhuLoadData();
			this.setState({ visible1: true })
		}
		if(e == 62) {
			this.sanhuLoadData21();
			this.setState({ visible21: true })
		}
		if(e == 1) {
			this.setState({ visible2: true })
		}
		if(e == 2) {
			this.setState({ visible4: true })
		}
		if(e == 0) {
			this.setState({ visible5: true })
		}
	},
	changeObjects(){
		this.objectReset();
	},
	//值改变时请求客户名称
	httpChange(e){
		if(e.length>=2){
			this.supervisor(e); 
		}	
		this.setState({
			managerIdOrganization:e
		})
	},
    addClick() {
    	this.state.addContent= undefined; //推荐资源类型
        this.state.addObject= undefined; //推送目标类型
        this.setState({
            visible: true
        });
        
        
    },
    editClick() {
        this.state.RowData = {};
        this.setState({
            editvisible: true
        });
    },
   	handleCancel() {
        this.setState({ visible: false })
    },
    handleCancel1() {
        this.setState({ visible1: false })
    },
    handleCancel21() {
        this.setState({ visible21: false })
    },
    handleCancel11() {
        this.setState({ visible11: false })
    },
    handleCancel2() {
        this.setState({ visible2: false })
    },
    handleCancel3() {
        this.setState({ visible3: false })
    },
    handleCancel4() {
        this.setState({ visible4: false })
    },
    handleCancel5() {
        this.setState({ visible5: false })
    },
    handleCancel6() {
        this.setState({ visible6: false })
    },
    handleCancel7() {
        this.setState({ visible7: false })
    },
    handleCancel8() {
        this.setState({ visible8: false })
    },
    handleCancel9() {
        this.setState({ visible9: false })
    },
    handleCancel10() {
        this.setState({ visible10: false })
    },
    handleCancel11() {
        this.setState({ visible11: false })
    },
    handleCancel12() {
        this.setState({ visible12: false })
    },
    edithandleCancel() {
        this.setState({ editvisible: false })
    },
    //地区多选
	onExpand(expandedKeys){
		this.setState({
			expandedKeys,
			autoExpandParent: false,
		});
	},
	onCheck(checkedKeys){
		this.setState({checkedKeys:checkedKeys });
	},
	onSelect(selectedKeys, info){
		this.setState({ selectedKeys });
	},
	renderTreeNodes(data){
		return provinceList.map((item) => {
				return(
					<TreeNodet title={item.name} key={item.id} dataRef={item}>
			            {item.cityList.map((item) => {
							return(
								<TreeNodet title={item.name} key={item.id} dataRef={item}>
						            {item.areaList.map((item) => {
										return(
											<TreeNodet title={item.name} key={item.id} dataRef={item}>
									            
									        </TreeNodet>
										);
										})
						            }
						        </TreeNodet>
							);
							})
			            }
			        </TreeNodet>
				);
			
			return <TreeNodet {...item} />;
		});
	},
    search() {
        this.loadData();
    },
    //散户搜索
    sanhusearch(){
    	this.sanhuLoadData();
    },
    //散户搜索
    sanhusearch21(){
    	this.sanhuLoadData21();
    },
    //用户搜索
    sanhusearch1(){
    	this.sanhuLoadData1();
    },
    //用户搜索
    juesesearch(){
    	this.jueseLoadData();
    },
    xiangmusearch(){
    	this.xiangmuLoadData();
    },
    chengguoSearch1(){
    	this.chengguoLoadData1();
    },
    chengguoSearch2(){
    	this.chengguoLoadData2();
    },
    xuqiuSearch1(){
    	this.xuqiuLoadData1();
    },
    xuqiuSearch2(){
    	this.xuqiuLoadData2();
    },
    zhuanjiaSearch(){
    	this.zhuanjiaLoadData();
    },
    zhengceSearch(){
    	this.zhengceLoadData();
    },
    //散户重置
    sanhuReset() {
		this.state.isMemberSearch = undefined;
		this.state.internationalSearch = undefined;
		this.state.typeSearch = undefined; //名称1   
		this.state.nameSearch = '';
		this.state.addressSearch = [];
		this.state.provinceSearch = undefined;
		this.state.citySearch = undefined;
		this.state.statusSearch = undefined;
		this.state.contactsSearch = undefined;
		this.state.contactMobileSearch = undefined;
		this.state.industrySearch = undefined;
		this.state.serviceCertificationSearch = undefined;
		this.state.userCertificationSearch = undefined;
		this.state.currentMemberStatusSearch = undefined;
		this.state.lvlSearch = undefined;
		this.state.listedSearch = undefined;
		this.state.highTechZoneSearch = undefined;
		this.state.releaseDate[0] = undefined;
		this.state.releaseDate[1] = undefined;
		this.state.societyTagSearch = undefined;
		this.sanhuLoadData();
	},
	//散户重置
    sanhuReset21() {
		this.state.isMemberSearch = undefined;
		this.state.internationalSearch = undefined;
		this.state.typeSearch = undefined; //名称1   
		this.state.nameSearch = '';
		this.state.addressSearch = [];
		this.state.provinceSearch = undefined;
		this.state.citySearch = undefined;
		this.state.statusSearch = undefined;
		this.state.contactsSearch = undefined;
		this.state.contactMobileSearch = undefined;
		this.state.industrySearch = undefined;
		this.state.serviceCertificationSearch = undefined;
		this.state.userCertificationSearch = undefined;
		this.state.currentMemberStatusSearch = undefined;
		this.state.lvlSearch = undefined;
		this.state.listedSearch = undefined;
		this.state.highTechZoneSearch = undefined;
		this.state.releaseDate[0] = undefined;
		this.state.releaseDate[1] = undefined;
		this.state.societyTagSearch = undefined;
		this.sanhuLoadData21();
	},
    //把搜索的部分置零
    reset() {
       this.state.sendType = undefined;//组织类型清零
        this.loadData();      
    },
    //服务项目搜索列表清零
    xiangmuReset() {
        this.state.bname = '';//项目名称清零
        this.state.cid = undefined;//品类名称清零
        this.state.ressSearch= undefined;//省市区清零
        this.state.activityFlag = undefined;//活动生效清零
        this.state.status = undefined;//项目状态清零
        this.xiangmuLoadData(); 
    },
    chengguoReset1(){
    	this.state.serialNumber = undefined;
        this.state.name = undefined;
        this.state.keyword = undefined;
        this.state.category = undefined;
        this.state.ownerType = undefined;
        this.state.releaseStatus = undefined;
        this.state.auditStatus = undefined;
        this.state.searchName = undefined;
        this.state.releaseDate = [];
        this.state.boutique = '';
        this.state.hot='' ;
        this.chengguoLoadData1(); 
    },
    chengguoReset2(){
    	this.state.serialNumber = undefined;
        this.state.name = undefined;
        this.state.keyword = undefined;
        this.state.category = undefined;
        this.state.ownerType = undefined;
        this.state.releaseStatus = undefined;
        this.state.auditStatus = undefined;
        this.state.searchName = undefined;
        this.state.releaseDate = [];
        this.state.boutique = '';
        this.state.hot='' ;
        this.chengguoLoadData2(); 
    },
    xuqiuReset1(){
    	this.state.serialNumber = undefined;
        this.state.name = undefined;
        this.state.keyword = undefined;
        this.state.infoSources = undefined;
        this.state.demandType = undefined;
        this.state.searchName = undefined;
        this.state.searchType = 0;
        this.state.boutique = '';
        this.state.hot='' ;
        this.state.status = undefined;
        this.state.releaseStatus = undefined;
        this.state.auditStatus = undefined;
        this.state.validityPeriodDate = [];
        this.state.releaseDate = [];
    	this.xuqiuLoadData1(); 
    },
    xuqiuReset2(){
    	this.state.serialNumber = undefined;
        this.state.name = undefined;
        this.state.keyword = undefined;
        this.state.infoSources = undefined;
        this.state.demandType = undefined;
        this.state.searchName = undefined;
        this.state.searchType = 0;
        this.state.boutique = '';
        this.state.hot='' ;
        this.state.status = undefined;
        this.state.releaseStatus = undefined;
        this.state.auditStatus = undefined;
        this.state.validityPeriodDate = [];
        this.state.releaseDate = [];
        this.xuqiuLoadData2(); 
    },
    zhuanjiaReset(){
    	this.state.nameSearch = '';
    	this.state.internationalSearch = undefined;
    	this.zhuanjiaLoadData(); 
    },
    zhengceReset(){
    	this.state.name= '';
    	this.zhengceLoadData(); 
    },
    searchSwitch() {
        this.setState({
            searchMore: !this.state.searchMore
        });
    },
    //选择发送对象时的数据处理
    //指定对象清零
    objectReset(){
    	this.state.sanhu=undefined;
    	this.state.sanhu21=undefined;
    	this.state.yonghu=undefined;
    	this.state.juese=undefined;
    	this.state.shehui=undefined;
    	this.state.diqu=undefined;
    	this.state.fengongsi=undefined;
    	this.state.hangye=undefined;
    },
    rowReset(){
    	this.state.selectedRowKeys=[];
    },
    rowReset1(){
    	this.state.selectedRowKeys=[];
    },
    //散户
    sanhuSubmit(e){
    	e.preventDefault();
    	this.objectReset();
    	this.setState({
    		sanhu:this.state.selectedRowKeys
    	});
    	this.rowReset();
    	this.handleCancel1();
    },
    sanhuSubmit21(e){
    	e.preventDefault();
    	this.objectReset();
    	this.setState({
    		sanhu21:this.state.selectedRowKeys
    	});
    	this.rowReset();
    	this.handleCancel21();
    },
    //社会属性
    shehuiSubmit(e){
    	e.preventDefault();
    	this.setState({
    		shehui:this.state.shehui
    	});
    	this.handleCancel2();
    },
    //分公司
    fengongsiSubmit(e){
    	e.preventDefault();
    	this.objectReset();
    	this.setState({
    		fengongsi:this.state.selectedRowKeys
    	});
    	this.rowReset();
    	this.handleCancel3();
    },
    //地区
    diquSubmit(e){
    	e.preventDefault();
    	this.objectReset();
    	this.setState({
    		diqu:this.state.checkedKeys
    	});
    	this.handleCancel4();
    },
    //行业
    hangyeSubmit(e){
    	e.preventDefault();
    	this.setState({
    		hangye:this.state.hangye
    	});
    	this.handleCancel5();
    },
    //消息重置
    xiaoxiReset(){
    	this.state.xiaoxi=undefined;
    },
    //消息
    xiaoxiSubmit(e){
    	e.preventDefault();
    	this.xiaoxiReset();
    	this.setState({
    		xiaoxi:this.state.selectedRowKeys
    	});
    	this.rowReset1();
    	this.handleCancel6();
    	this.handleCancel7();
    	this.handleCancel8();
    	this.handleCancel9();
    	this.handleCancel10();
    	this.handleCancel11();
    	this.handleCancel12();
    },
    render() {
    	const FormItem = Form.Item
        const rowSelection = {
            selectedRowKeys: this.state.selectedRowKeys,
            onChange: (selectedRowKeys, selectedRows) => {
                this.setState({
                    selectedRows: selectedRows.slice(-1),
                    selectedRowKeys: selectedRowKeys.slice(-1)
                });
            },
            onSelect: (recordt, selected, selectedRows) => {
			    this.setState({
			    	recordt:recordt.id
			    })
			},
        };
        const rowSelections = {
            selectedRowKeys: this.state.selectedRowKeys,
            onChange: (selectedRowKeys, selectedRows) => {
                this.setState({
                    selectedRows: selectedRows,
                    selectedRowKeys: selectedRowKeys
                });
            },
            onSelect: (recordt, selected, selectedRows) => {
			    this.setState({
			    	recordt:recordt.id
			    })
			},
        };
        const rowSelectiones = {
            selectedRowKeys: this.state.selectedRowKeys,
            onChange: (selectedRowKeys, selectedRows) => {
                this.setState({
                    selectedRows: selectedRows,
                    selectedRowKeys: selectedRowKeys
                });
            },
            onSelect: (recordt, selected, selectedRows) => {
			    this.setState({
			    	recordt:recordt.id
			    })
			},
        };
        const formItemLayout = {
            labelCol: { span: 8 },
            wrapperCol: { span: 14 },
        };
       	const { getFieldDecorator } = this.props.form;
        const hasSelected = this.state.selectedRowKeys.length > 0;
        const { RangePicker } = DatePicker;
        const dataSources=this.state.customerArr || [];
        const options = dataSources.map((group,index) =>
				      <Option key={index} value={group.name}>{group.name}</Option>
				     )
        return (
            <div className="user-content" >
                <div className="content-title">
	                <div className="user-search">
	                    <Button type="primary" className="addButton" onClick={this.addClick}>创建技淘智推<Icon type="plus" /></Button>
	                    <div style={!this.state.bianjiMore ? { display: 'none',float:'right',marginRight:'10px'} : {display: 'inline-block',float:'right',marginRight:'10px',marginTop:'10px'}}>
			                <Popconfirm title="是否删除?" onConfirm={this.delectRow} okText="是" cancelText="否">
							     <Button style={{ background: "#ea0862", border: "none", color: "#fff",marginRight:'10px' ,marginLeft:'10px',float:'right'}}
		                   			 disabled={!hasSelected} 
		                    		 >删除<Icon type="minus" />
		           			     </Button>
							</Popconfirm>
						</div>
	                </div>
	                <div className="clearfix" style={{marginTop:'-30px',marginLeft:'20px'}}>
					    <Tabs onChange={this.callback} type="card" activeKey={this.state.callnub} style={{paddingLeft:'15px',paddingRight:'15px',marginRight:'20px'}}>
					         <TabPane tab="已发送" key="0" ></TabPane>
							 <TabPane tab="未发送" key="1"></TabPane>
					    </Tabs>
					</div>
	                <div className="patent-table">
	                    <Spin spinning={this.state.loading}>
	                        <Table columns={this.state.columns}
	                            dataSource={this.state.dataSource}
	                            rowSelection={rowSelection}
	                            pagination={this.state.pagination}
	                            onRowClick={this.tableRowClick} />
	                    </Spin>
	                </div>
	             
	                 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCancel}
	                        width='600px'
	                        title='新建技淘智推'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.add} id="add-form">
				                <Spin spinning={this.state.loading}>
				                   <div className="clearfix">
				                    	<FormItem 
				                         	labelCol={{ span: 4 }}
					                        wrapperCol={{ span: 18 }}
				                           	label="推荐内容"
				                         > 
											  <Select placeholder="推荐内容" value={this.state.addContent} 
				                                onSelect={this.selectContent} onChange={this.changeContent} style={{width:'95%'}} required="required"> 
				                                {
				                                    featuredContent.map(function(item) {
				                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                    })
				                                }
				                              </Select> 
				                              <span className="mandatory" style={{color:'red',marginLeft:'5px'}}>*</span>
				                   		 </FormItem>
				                    </div>
				                    <div className="clearfix">
				                    	<FormItem 
				                         	labelCol={{ span: 4 }}
					                        wrapperCol={{ span: 18 }}
				                           	label="指定发送对象"
				                         > 
											  <Select placeholder="指定发送对象" value={this.state.addObject} 
				                                onSelect={this.selectObjects} onChange={this.changeObjects} style={{width:'95%'}} required="required"> 
				                                {
				                                    designatedObjectes.map(function(item) {
				                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                    })
				                                }
				                              </Select> 
				                              <span className="mandatory" style={{color:'red',marginLeft:'5px'}}>*</span>
				                   		 </FormItem>
				                    </div>
				                    <FormItem wrapperCol={{ span: 18, offset: 5 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">发送</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.adds} style={{marginLeft:'10px'}}>存为草稿</Button>
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel} style={{marginLeft:'10px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible6}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCancel6}
	                        width='1000px'
	                        title='服务项目列表'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.xiaoxiSubmit} id="add-form">
				                <Spin spinning={this.state.loading}>
				                	<div className="user-search">
					                   <Input placeholder="业务项目名称" style={{width:'130px',marginRight:'10px',marginBottom:'10px'}}
					                        value={this.state.bname}
					                        onChange={(e) => { this.setState({ bname: e.target.value }); }} />
				                    	<Cascader options={provinceSelect()}  value={this.state.ressSearch} placeholder="选择省份" style={{width:'130px',marginRight:'10px'}}
				    						onChange={(e,pre) => { this.setState({ ressSearch: e }) }} />	                 
			                    		<Cascader options={citySelect()}  value={this.state.ressSearch} placeholder="选择城市" style={{width:'130px',marginRight:'10px'}}
				    						onChange={(e,pre) => { this.setState({ ressSearch: e }) }} />	                 
			                    		<Cascader options={areaSelect()}  value={this.state.ressSearch} placeholder="选择地区" style={{width:'130px',marginRight:'10px'}}
				    						onChange={(e,pre) => { this.setState({ ressSearch: e }) }} />	                 
			                    		<Select placeholder="活动生效标识"
					                            style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
					                            value={this.state.activityFlag}
					                            onChange={(e) => { this.setState({ activityFlag: e }) }}>
					                            <Select.Option value="0" >有效</Select.Option>
					                            <Select.Option value="1" >无效</Select.Option>
					                    </Select>
					                    <Select placeholder="项目状态"
					                            style={{width:'100px',marginRight:'10px'}}
					                            value={this.state.status}
					                            onChange={(e) => { this.setState({ status: e }) }}>
					                            <Select.Option value="0" >正常</Select.Option>
					                            <Select.Option value="1" >停用</Select.Option>
					                    </Select>
					                    <Button type="primary" onClick={this.xiangmusearch} style={{marginRight:'10px'}}>搜索</Button>
					                    <Button onClick={this.xiangmuReset} style={{marginRight:'10px'}}>重置</Button>
					                </div>
				                    <div className="foster-table">
				                        <Spin spinning={this.state.loading}>
				                            <Table columns={this.state.xiangmuColumns}
				                                dataSource={this.state.xiangmuDataSource}
				                                rowSelection={rowSelectiones}
				                                pagination={this.state.pagination2}
				                                onRowClick={this.tableRowClick} />
				                        </Spin>
				                    </div>
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">选定</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel6} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible7}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCancel7}
	                        width='800px'
	                        title='科技成果(组织)列表'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.xiaoxiSubmit} id="add-form">
				                <Spin spinning={this.state.loading}>
				                	<div className="user-search">
					                    <Input placeholder="名称" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
					                        value={this.state.name}
					                        onChange={(e) => { this.setState({ name: e.target.value }); }} />
					                    <Input placeholder="关键字" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
					                        value={this.state.keyword}
					                        onChange={(e) => { this.setState({ keyword: e.target.value }); }} />
					                    <Input placeholder="所有人名称" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
					                        value={this.state.searchName}
					                        onChange={(e) => { this.setState({ searchName: e.target.value }); }} />
					                    <Radio.Group value={this.state.boutique} onChange={(e) => {
						                    this.setState({ boutique: e.target.value })
						                    }}>
						                        <Radio value={1}>精品</Radio>
						                        <Radio value={0}>非精品</Radio>
						                </Radio.Group>
					                    <Button type="primary" onClick={this.chengguoSearch1} style={{marginRight:'10px'}}>搜索</Button>
					                    <Button onClick={this.chengguoReset1} style={{marginRight:'10px'}}>重置</Button>
					                </div>
				                    <div className="foster-table">
				                        <Spin spinning={this.state.loading}>
				                            <Table columns={this.state.chengguoColumns1}
				                                dataSource={this.state.chengguoDataSource1}
				                                rowSelection={rowSelectiones}
				                                pagination={this.state.pagination4}
				                                onRowClick={this.tableRowClick} />
				                        </Spin>
				                    </div>
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">选定</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel7} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible8}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCancel8}
	                        width='800px'
	                        title='科技成果(个人)列表'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.xiaoxiSubmit} id="add-form">
				                <Spin spinning={this.state.loading}>
				                	<div className="user-search">
					                    <Input placeholder="名称" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
					                        value={this.state.name}
					                        onChange={(e) => { this.setState({ name: e.target.value }); }} />
					                    <Input placeholder="关键字" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
					                        value={this.state.keyword}
					                        onChange={(e) => { this.setState({ keyword: e.target.value }); }} />
					                    <Input placeholder="所有人名称" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
					                        value={this.state.searchName}
					                        onChange={(e) => { this.setState({ searchName: e.target.value }); }} />
					                    <Radio.Group value={this.state.boutique} onChange={(e) => {
						                    this.setState({ boutique: e.target.value })
						                    }}>
						                        <Radio value={1}>精品</Radio>
						                        <Radio value={0}>非精品</Radio>
						                </Radio.Group>
					                    <Button type="primary" onClick={this.chengguoSearch2} style={{marginRight:'10px'}}>搜索</Button>
					                    <Button onClick={this.chengguoReset2} style={{marginRight:'10px'}}>重置</Button>
					                </div>
				                    <div className="foster-table">
				                        <Spin spinning={this.state.loading}>
				                            <Table columns={this.state.chengguoColumns2}
				                                dataSource={this.state.chengguoDataSource2}
				                                rowSelection={rowSelectiones}
				                                pagination={this.state.pagination3}
				                                onRowClick={this.tableRowClick} />
				                        </Spin>
				                    </div>
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">选定</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel8} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible9}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCancel9}
	                        width='1000px'
	                        title='科技需求(组织)列表'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.xiaoxiSubmit} id="add-form">
				                <Spin spinning={this.state.loading}>
				                	<div className="user-search">
					                    <Input placeholder="需求名称" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
					                        value={this.state.name}
					                        onChange={(e) => { this.setState({ name: e.target.value }); }} />
					                    <Input placeholder="关键字" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
					                        value={this.state.keyword}
					                        onChange={(e) => { this.setState({ keyword: e.target.value }); }} />
					                    <Select placeholder="选择需求类型" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
				                            value={this.state.demandType}
				                            onChange={(e) => { this.setState({ demandType: e }) }}>
				                            {this.state.demandTypeOption}
				                        </Select>
				                        <Radio.Group value={this.state.boutique} onChange={(e) => {
						                    this.setState({ boutique: e.target.value })
						                    }}>
						                        <Radio value={1}>精品</Radio>
						                        <Radio value={0}>非精品</Radio>
						                </Radio.Group>
					                    <Button type="primary" onClick={this.xuqiuSearch1} style={{marginRight:'10px'}}>搜索</Button>
					                    <Button onClick={this.xuqiuReset1} style={{marginRight:'10px'}}>重置</Button>
					                </div>
				                    <div className="foster-table">
				                        <Spin spinning={this.state.loading}>
				                            <Table columns={this.state.xuqiuColumns1}
				                                dataSource={this.state.xuqiuDataSource1}
				                                rowSelection={rowSelectiones}
				                                pagination={this.state.pagination6}
				                                onRowClick={this.tableRowClick} />
				                        </Spin>
				                    </div>
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">选定</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel9} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible10}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCancel10}
	                        width='800px'
	                        title='科技需求(个人)列表'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.xiaoxiSubmit} id="add-form">
				                <Spin spinning={this.state.loading}>
				                	<div className="user-search">
					                    <Input placeholder="需求名称" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
					                        value={this.state.name}
					                        onChange={(e) => { this.setState({ name: e.target.value }); }} />
					                    <Input placeholder="关键字" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
					                        value={this.state.keyword}
					                        onChange={(e) => { this.setState({ keyword: e.target.value }); }} />
					                    <Select placeholder="选择需求类型" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
				                            value={this.state.demandType}
				                            onChange={(e) => { this.setState({ demandType: e }) }}>
				                            {this.state.demandTypeOption}
				                        </Select>
				                        <Radio.Group value={this.state.boutique} onChange={(e) => {
						                    this.setState({ boutique: e.target.value })
						                    }}>
						                        <Radio value={1}>精品</Radio>
						                        <Radio value={0}>非精品</Radio>
						                </Radio.Group>
					                    <Button type="primary" onClick={this.xuqiuSearch2} style={{marginRight:'10px'}}>搜索</Button>
					                    <Button onClick={this.xuqiuReset2} style={{marginRight:'10px'}}>重置</Button>
					                </div>
				                    <div className="foster-table">
				                        <Spin spinning={this.state.loading}>
				                            <Table columns={this.state.xuqiuColumns2}
				                                dataSource={this.state.xuqiuDataSource2}
				                                rowSelection={rowSelectiones}
				                                pagination={this.state.pagination5}
				                                onRowClick={this.tableRowClick} />
				                        </Spin>
				                    </div>
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">选定</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel10} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible11}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCancel11}
	                        width='1000px'
	                        title='专家列表'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.xiaoxiSubmit} id="add-form">
				                <Spin spinning={this.state.loading}>
				                	<div className="user-search">
					                    <Input placeholder="名称" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
					                        value={this.state.nameSearch}
					                        onChange={(e) => { this.setState({ nameSearch: e.target.value }); }} />    
                    					<Select placeholder="国际" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
				                            value={this.state.internationalSearch}
				                            onChange={(e) => { this.setState({ internationalSearch: e }) }}>
				                            <Select.Option value="0" >否</Select.Option>
				                            <Select.Option value="1" >是</Select.Option>
				                        </Select>
				                        
					                    <Button type="primary" onClick={this.zhuanjiaSearch} style={{marginRight:'10px'}}>搜索</Button>
					                    <Button onClick={this.zhuanjiaReset} style={{marginRight:'10px'}}>重置</Button>
					                </div>
				                    <div className="foster-table">
				                        <Spin spinning={this.state.loading}>
				                            <Table columns={this.state.zhuanjiaColumns}
				                                dataSource={this.state.zhuanjiaDataSource}
				                                rowSelection={rowSelectiones}
				                                pagination={this.state.pagination7}
				                                onRowClick={this.tableRowClick} />
				                        </Spin>
				                    </div>
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">选定</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel11} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible12}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCancel12}
	                        width='800px'
	                        title='政策列表'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.xiaoxiSubmit} id="add-form">
				                <Spin spinning={this.state.loading}>
				                	<div className="user-search">
					                    <Input placeholder="政策标题" style={{width:'150px',marginRight:'10px',marginBottom:'10px'}}
					                        value={this.state.name}
					                        onChange={(e) => { this.setState({ name: e.target.value }); }} />
					                    <Button type="primary" onClick={this.zhengceSearch} style={{marginRight:'10px'}}>搜索</Button>
					                    <Button onClick={this.zhengceReset} style={{marginRight:'10px'}}>重置</Button>
					                </div>
				                    <div className="foster-table">
				                        <Spin spinning={this.state.loading}>
				                            <Table columns={this.state.zhengceColumns}
				                                dataSource={this.state.zhengceDataSource}
				                                rowSelection={rowSelectiones}
				                                pagination={this.state.pagination8}
				                                onRowClick={this.tableRowClick} />
				                        </Spin>
				                    </div>
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">选定</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel12} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 
                	 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible1}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCancel1}
	                        width='1500px'
	                        title='个人客户'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.sanhuSubmit} id="add-form">
				                <Spin spinning={this.state.loading}>
				                	<div className="user-search">
					                    <Input placeholder="客户名称" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
					                        value={this.state.nameSearch}
					                        onChange={(e) => { this.setState({ nameSearch: e.target.value }); }} />
					                     <Select placeholder="账户状态"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.statusSearch}
				                            onChange={(e) => { this.setState({ statusSearch: e }) }}>
				                            <Select.Option value="0" >正常</Select.Option>
				                            <Select.Option value="2" >锁定</Select.Option>
				                        </Select>
				                        <Select placeholder="行业"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.industrySearch}
				                            onChange={(e) => { this.setState({ industrySearch: e }) }}>
				                            {this.state.intentionalOption}
				                        </Select>
				                        <Select placeholder="业务认证"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.serviceCertificationSearch}
				                            onChange={(e) => { this.setState({ serviceCertificationSearch: e }) }}>
				                            <Select.Option value="0" >未认证</Select.Option>
				                            <Select.Option value="1" >已认证</Select.Option>
				                        </Select>
				                        <Select placeholder="实名认证"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.userCertificationSearch}
				                            onChange={(e) => { this.setState({ userCertificationSearch: e }) }}>
				                            {
				                                auditStatusL.map(function (item) {
				                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                })
				                            }
				                        </Select>
				                       <Select placeholder="是否国际"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.internationalSearch}
				                            onChange={(e) => { this.setState({ internationalSearch: e }) }}>
				                            <Select.Option value="0" >否</Select.Option>
				                            <Select.Option value="1" >是</Select.Option>
				                        </Select>
				                        <Select placeholder="是否高新"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.highTechZoneSearch}
				                            onChange={(e) => { this.setState({ highTechZoneSearch: e }) }}>
				                            <Select.Option value="0" >否</Select.Option>
				                            <Select.Option value="1" >是</Select.Option>
				                        </Select>
				                        <Select placeholder="是否上市"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.listedSearch}
				                            onChange={(e) => { this.setState({ listedSearch: e }) }}>
				                            <Select.Option value="0" >否</Select.Option>
				                            <Select.Option value="1" >是</Select.Option>
				                        </Select>
				                        <Select placeholder="是否会员"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.isMemberSearch}
				                            onChange={(e) => { this.setState({ isMemberSearch: e }) }}>
				                            <Select.Option value="0" >否</Select.Option>
				                            <Select.Option value="1" >是</Select.Option>
				                        </Select>
				                        <Select placeholder="会员等级"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.lvlSearch}
				                            onChange={(e) => { this.setState({ lvlSearch: e }) }}>
				                            {this.state.lvlArrOption}
				                        </Select>  
				                        <Select placeholder="会员状态"
				                             style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
				                            value={this.state.currentMemberStatusSearch}
				                            onChange={(e) => { this.setState({ currentMemberStatusSearch: e }) }}>
				                            {this.state.currentMemberArrOption}
				                        </Select>
				                        <Select placeholder="社会性质"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.societyTagSearch}
				                            onChange={(e) => { this.setState({ societyTagSearch: e }) }}>
				                                {
				                                    socialAttribute.map(function (item) {
				                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                    })
				                                }
				                        </Select>
					                    
					                    <Button type="primary" onClick={this.sanhusearch} style={{marginRight:'10px'}}>搜索</Button>
					                    <Button onClick={this.sanhuReset} style={{marginRight:'10px'}}>重置</Button>
					                </div>
				                    <div className="foster-table">
				                        <Spin spinning={this.state.loading}>
				                            <Table columns={this.state.sanhuColumns}
				                                dataSource={this.state.sanhuDataSource}
				                                rowSelection={rowSelections}
				                                pagination={this.state.pagination1}
				                                onRowClick={this.tableRowClick} />
				                        </Spin>
				                    </div>
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">选定</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel1} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible21}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCance21}
	                        width='1500px'
	                        title='单位客户'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.sanhuSubmit21} id="add-form">
				                <Spin spinning={this.state.loading}>
				                	<div className="user-search">
					                    <Input placeholder="客户名称" style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
					                        value={this.state.nameSearch}
					                        onChange={(e) => { this.setState({ nameSearch: e.target.value }); }} />
					                     <Select placeholder="账户状态"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.statusSearch}
				                            onChange={(e) => { this.setState({ statusSearch: e }) }}>
				                            <Select.Option value="0" >正常</Select.Option>
				                            <Select.Option value="2" >锁定</Select.Option>
				                        </Select>
				                        <Select placeholder="行业"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.industrySearch}
				                            onChange={(e) => { this.setState({ industrySearch: e }) }}>
				                            {this.state.intentionalOption}
				                        </Select>
				                        <Select placeholder="业务认证"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.serviceCertificationSearch}
				                            onChange={(e) => { this.setState({ serviceCertificationSearch: e }) }}>
				                            <Select.Option value="0" >未认证</Select.Option>
				                            <Select.Option value="1" >已认证</Select.Option>
				                        </Select>
				                        <Select placeholder="实名认证"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.userCertificationSearch}
				                            onChange={(e) => { this.setState({ userCertificationSearch: e }) }}>
				                            {
				                                auditStatusL.map(function (item) {
				                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                })
				                            }
				                        </Select>
				                       <Select placeholder="是否国际"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.internationalSearch}
				                            onChange={(e) => { this.setState({ internationalSearch: e }) }}>
				                            <Select.Option value="0" >否</Select.Option>
				                            <Select.Option value="1" >是</Select.Option>
				                        </Select>
				                        <Select placeholder="是否高新"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.highTechZoneSearch}
				                            onChange={(e) => { this.setState({ highTechZoneSearch: e }) }}>
				                            <Select.Option value="0" >否</Select.Option>
				                            <Select.Option value="1" >是</Select.Option>
				                        </Select>
				                        <Select placeholder="是否上市"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.listedSearch}
				                            onChange={(e) => { this.setState({ listedSearch: e }) }}>
				                            <Select.Option value="0" >否</Select.Option>
				                            <Select.Option value="1" >是</Select.Option>
				                        </Select>
				                        <Select placeholder="是否会员"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.isMemberSearch}
				                            onChange={(e) => { this.setState({ isMemberSearch: e }) }}>
				                            <Select.Option value="0" >否</Select.Option>
				                            <Select.Option value="1" >是</Select.Option>
				                        </Select>
				                        <Select placeholder="会员等级"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.lvlSearch}
				                            onChange={(e) => { this.setState({ lvlSearch: e }) }}>
				                            {this.state.lvlArrOption}
				                        </Select>  
				                        <Select placeholder="会员状态"
				                             style={{width:'100px',marginRight:'10px',marginBottom:'10px'}}
				                            value={this.state.currentMemberStatusSearch}
				                            onChange={(e) => { this.setState({ currentMemberStatusSearch: e }) }}>
				                            {this.state.currentMemberArrOption}
				                        </Select>
				                        <Select placeholder="社会性质"
				                             style={{width:'100px',marginRight:'10px'}}
				                            value={this.state.societyTagSearch}
				                            onChange={(e) => { this.setState({ societyTagSearch: e }) }}>
				                                {
				                                    socialAttribute.map(function (item) {
				                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                    })
				                                }
				                        </Select>
					                    
					                    <Button type="primary" onClick={this.sanhusearch21} style={{marginRight:'10px'}}>搜索</Button>
					                    <Button onClick={this.sanhuReset21} style={{marginRight:'10px'}}>重置</Button>
					                </div>
				                    <div className="foster-table">
				                        <Spin spinning={this.state.loading}>
				                            <Table columns={this.state.sanhuColumns21}
				                                dataSource={this.state.sanhuDataSource21}
				                                rowSelection={rowSelections}
				                                pagination={this.state.pagination21}
				                                onRowClick={this.tableRowClick} />
				                        </Spin>
				                    </div>
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">选定</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel21} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible2}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCancel2}
	                        width='600px'
	                        title='社会属性'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.shehuiSubmit} id="add-form">
				                <Spin spinning={this.state.loading}>
				                    <FormItem  
			                         	labelCol={{ span: 7 }}
				                        wrapperCol={{ span: 12 }}
			                           	label="请选择社会属性"
			                         >    
		                              <CheckboxGroup options={socialAttributeS} value={this.state.shehui} onChange={(e)=>{this.setState({shehui:e})}} />
		                               
			                   		 </FormItem>
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">选定</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel2} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible3}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCancel3}
	                        width='1200px'
	                        title='分公司列表'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.fengongsiSubmit} id="add-form">
				                <Spin spinning={this.state.loading}>
				                    <div className="foster-table">
				                        <Spin spinning={this.state.loading}>
				                            <Table columns={this.state.fengongsiColumns}
				                                dataSource={this.state.fengongsiDataSource}
				                                rowSelection={rowSelections}
				                                pagination={this.state.pagination1}
				                                onRowClick={this.tableRowClick} />
				                        </Spin>
				                    </div>
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">选定</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel3} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible4}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCancel4}
	                        width='600px'
	                        title='地区'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.diquSubmit} id="add-form">
				                <Spin spinning={this.state.loading}>
				                    <div className="clearfix" style={{marginLeft:'90px'}}>
				                		<Tree
									        checkable
									        onExpand={this.onExpand}
									        expandedKeys={this.state.expandedKeys}
									        autoExpandParent={this.state.autoExpandParent}
									        onCheck={this.onCheck}
									        checkedKeys={this.state.checkedKeys}
									        onSelect={this.onSelectDi}
									        selectedKeys={this.state.selectedKeys}
									      >
									        {this.renderTreeNodes(this.state.Interface)}
									      </Tree>
					                </div>
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">选定</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel4} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible5}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCancel5}
	                        width='600px'
	                        title='行业'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.hangyeSubmit} id="add-form">
				                <Spin spinning={this.state.loading}>
				                    <FormItem  
			                         	labelCol={{ span: 7 }}
				                        wrapperCol={{ span: 12 }}
			                           	label="请选择行业"
			                         > 
		                              <CheckboxGroup options={industryS} value={this.state.hangye} onChange={(e)=>{this.setState({hangye:e})}} />
	                                </FormItem>
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">选定</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel5} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div> 
            	</div>
            </div>
        );
    }
}));

export default JitaoMessage;
